﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Excel;

namespace ExcelFileCrashing
{
    class Program
    {
        static void Main(string[] args)
        {
            Workbook wb = new Workbook();

            // create worksheet
            Worksheet ws1 = wb.Worksheets.Add("SomeSheet");

            ws1.Columns[1].Width = 30 * 256;

            // set B2 to current date, uses default date format
            ws1.Rows[1].Cells[1].Value = DateTime.Now;

            // set B4 to current date, but with format string specified
            ws1.Rows[3].Cells[1].Value = DateTime.Now;
            ws1.Rows[3].Cells[1].CellFormat.FormatString = "\"$\"#,##0.00;[red](\"$\"#,##0.00)";

            // write workbook to file
            BIFF8Writer.WriteWorkbookToFile(wb, "Test4.xls");

        }
    }
}
